package com.platform.modules.live.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import org.hibernate.validator.constraints.NotBlank;
/**
 * 现场审核表
 * 
 * @author TROY
 * @email 
 * @date 2019-01-19 14:50:50
 */
@TableName("live_scene_check")
public class LiveSceneCheckEntity implements Serializable {
	private static final long serialVersionUID = 1L;
	
	//数据ID
	@TableId
	@NotBlank(message = "id不能为空")
	private Integer id;
	//现场ID
	@NotBlank(message = "sceneId不能为空")
	private Integer sceneId;
	//流程ID
	@NotBlank(message = "processId不能为空")
	private Integer processId;
	//节点ID
	@NotBlank(message = "nodeId不能为空")
	private Integer nodeId;
	//审核人ID
	@NotBlank(message = "auditorId不能为空")
	private Integer auditorId;
	//审核人姓名
	@NotBlank(message = "auditorName不能为空")
	private String auditorName;
	//审核动作标识
	@NotBlank(message = "autitorAct不能为空")
	private String autitorAct;
	//审核说明
	@NotBlank(message = "checkInfo不能为空")
	private String checkInfo;
	//操作时间
	@NotBlank(message = "checkDate不能为空")
	private Date checkDate;
	// 租户ID
	@NotBlank(message = "租户ID不能为空")
	private Long tenantId;

	/**
	 * 设置：数据ID
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：数据ID
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：现场ID
	 */
	public void setSceneId(Integer sceneId) {
		this.sceneId = sceneId;
	}
	/**
	 * 获取：现场ID
	 */
	public Integer getSceneId() {
		return sceneId;
	}
	/**
	 * 设置：流程ID
	 */
	public void setProcessId(Integer processId) {
		this.processId = processId;
	}
	/**
	 * 获取：流程ID
	 */
	public Integer getProcessId() {
		return processId;
	}
	/**
	 * 设置：节点ID
	 */
	public void setNodeId(Integer nodeId) {
		this.nodeId = nodeId;
	}
	/**
	 * 获取：节点ID
	 */
	public Integer getNodeId() {
		return nodeId;
	}
	/**
	 * 设置：审核人ID
	 */
	public void setAuditorId(Integer auditorId) {
		this.auditorId = auditorId;
	}
	/**
	 * 获取：审核人ID
	 */
	public Integer getAuditorId() {
		return auditorId;
	}
	/**
	 * 设置：审核人姓名
	 */
	public void setAuditorName(String auditorName) {
		this.auditorName = auditorName;
	}
	/**
	 * 获取：审核人姓名
	 */
	public String getAuditorName() {
		return auditorName;
	}
	/**
	 * 设置：审核动作标识
	 */
	public void setAutitorAct(String autitorAct) {
		this.autitorAct = autitorAct;
	}
	/**
	 * 获取：审核动作标识
	 */
	public String getAutitorAct() {
		return autitorAct;
	}
	/**
	 * 设置：审核说明
	 */
	public void setCheckInfo(String checkInfo) {
		this.checkInfo = checkInfo;
	}
	/**
	 * 获取：审核说明
	 */
	public String getCheckInfo() {
		return checkInfo;
	}
	/**
	 * 设置：操作时间
	 */
	public void setCheckDate(Date checkDate) {
		this.checkDate = checkDate;
	}
	/**
	 * 获取：操作时间
	 */
	public Date getCheckDate() {
		return checkDate;
	}

	public Long getTenantId() {
		return tenantId;
	}

	public void setTenantId(Long tenantId) {
		this.tenantId = tenantId;
	}
}
